<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Mon May 14 22:04:00 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BbClass</title>
<meta name="date" content="2018-05-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BbClass";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BbClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../DAO/ClienteClass.html" title="class in DAO"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?DAO/BbClass.html" target="_top">Frames</a></li>
<li><a href="BbClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">DAO</div>
<h2 title="Class BbClass" class="title">Class BbClass</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>DAO.BbClass</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">BbClass</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#BbClass--">BbClass</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#conexion--">conexion</a></span>()</code>
<div class="block">Conexion general con BBDD<br>

 Metodo para la conexion de java con la base de datos MySql</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#creacionBBDD--">creacionBBDD</a></span>()</code>
<div class="block">Metodo que crea una base datos</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#creacionTabla-java.lang.String-">creacionTabla</a></span>(java.lang.String&nbsp;nombreTabla)</code>
<div class="block">Metodo para crear las tablas para la database notaria</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#dbExists--">dbExists</a></span>()</code>
<div class="block">Metodo para saber si la base de datos 'notaria' existe</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#getArrayListCLientes--">getArrayListCLientes</a></span>()</code>
<div class="block">Metodo que devuelve un arrayList de Objetosd de la clase ClientesClass</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#getArraySearchEscriturasByTipo-java.lang.String-">getArraySearchEscriturasByTipo</a></span>(java.lang.String&nbsp;tipoEscritura)</code>
<div class="block">Metodo que devolvera un ArrayList con las escrituras con el tipo de
 escrito que se indique</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#getEscliCodigoCliente-java.lang.String-">getEscliCodigoCliente</a></span>(java.lang.String&nbsp;codEscritura)</code>
<div class="block">Metodo que devolvera el codigo de cliente asociado al codigo de escritura
 en la tabla esccli</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#getObjectCliente-java.lang.String-">getObjectCliente</a></span>(java.lang.String&nbsp;codCliente)</code>
<div class="block">Metodo que devolvera un objeto de la clase ClienteClass</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#getObjectEscritura-java.lang.String-">getObjectEscritura</a></span>(java.lang.String&nbsp;codigoEscritura)</code>
<div class="block">Metodo que devolvera un objeto de la clase EscrituraClass</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#getTablaCountInit-java.lang.String-">getTablaCountInit</a></span>(java.lang.String&nbsp;nombreTabla)</code>
<div class="block">Metodo que me dira si una tabla tiene algun registro creado o no</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#insertCliente-DAO.ClienteClass-">insertCliente</a></span>(<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;cliente)</code>
<div class="block">Metodo que inserta un nuevo cliente en su tabla correspondiente</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#insertEscCli-java.lang.String-java.lang.String-">insertEscCli</a></span>(java.lang.String&nbsp;codCliente,
            java.lang.String&nbsp;codEscritura)</code>
<div class="block">Metodo que inserta un nuevo registro en EscCli</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#insertEscritura-DAO.EscrituraClass-">insertEscritura</a></span>(<a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a>&nbsp;escritura)</code>
<div class="block">Metodo que inserta una nueva escritura en su tabla correspondiente</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#isCliente-DAO.ClienteClass-">isCliente</a></span>(<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;clienteCodigo)</code>
<div class="block">Metodo que busca la existencia de un cliente</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#isEscritura-DAO.EscrituraClass-">isEscritura</a></span>(<a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a>&nbsp;escritura)</code>
<div class="block">Metodo que busca la existencia de una escritura</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#tablasExists-java.lang.String-">tablasExists</a></span>(java.lang.String&nbsp;nombreTabla)</code>
<div class="block">Metodo que me dira si una tablas esta creada</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/BbClass.html#updateCliente-DAO.ClienteClass-">updateCliente</a></span>(<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;clienteCodigo)</code>
<div class="block">Metodo para actualizar o modificar los registros de la tabla clientes</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BbClass--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BbClass</h4>
<pre>public&nbsp;BbClass()
        throws java.sql.SQLException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="conexion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>conexion</h4>
<pre>public&nbsp;void&nbsp;conexion()
              throws java.sql.SQLException</pre>
<div class="block">Conexion general con BBDD<br>

 Metodo para la conexion de java con la base de datos MySql</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="creacionBBDD--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creacionBBDD</h4>
<pre>public&nbsp;boolean&nbsp;creacionBBDD()</pre>
<div class="block">Metodo que crea una base datos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="dbExists--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dbExists</h4>
<pre>public&nbsp;boolean&nbsp;dbExists()</pre>
<div class="block">Metodo para saber si la base de datos 'notaria' existe</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
</dl>
</li>
</ul>
<a name="tablasExists-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tablasExists</h4>
<pre>public&nbsp;boolean&nbsp;tablasExists(java.lang.String&nbsp;nombreTabla)</pre>
<div class="block">Metodo que me dira si una tablas esta creada</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombreTabla</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean Boolean</dd>
</dl>
</li>
</ul>
<a name="getTablaCountInit-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTablaCountInit</h4>
<pre>public&nbsp;boolean&nbsp;getTablaCountInit(java.lang.String&nbsp;nombreTabla)</pre>
<div class="block">Metodo que me dira si una tabla tiene algun registro creado o no</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombreTabla</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean Boolean</dd>
</dl>
</li>
</ul>
<a name="creacionTabla-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creacionTabla</h4>
<pre>public&nbsp;void&nbsp;creacionTabla(java.lang.String&nbsp;nombreTabla)</pre>
<div class="block">Metodo para crear las tablas para la database notaria</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nombreTabla</code> - String</dd>
</dl>
</li>
</ul>
<a name="isCliente-DAO.ClienteClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCliente</h4>
<pre>public&nbsp;boolean&nbsp;isCliente(<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;clienteCodigo)
                  throws java.sql.SQLException</pre>
<div class="block">Metodo que busca la existencia de un cliente</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clienteCodigo</code> - Object - Objeto de la clase ClienteClass</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="insertCliente-DAO.ClienteClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertCliente</h4>
<pre>public&nbsp;void&nbsp;insertCliente(<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;cliente)
                   throws java.sql.SQLException</pre>
<div class="block">Metodo que inserta un nuevo cliente en su tabla correspondiente</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cliente</code> - Object - Objeto de la clase ClienteClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="getObjectCliente-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectCliente</h4>
<pre>public&nbsp;<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;getObjectCliente(java.lang.String&nbsp;codCliente)
                              throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera un objeto de la clase ClienteClass</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codCliente</code> - String - codigo del cliente</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object - Objeto de la clase ClienteClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="updateCliente-DAO.ClienteClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateCliente</h4>
<pre>public&nbsp;void&nbsp;updateCliente(<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;clienteCodigo)
                   throws java.sql.SQLException</pre>
<div class="block">Metodo para actualizar o modificar los registros de la tabla clientes</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clienteCodigo</code> - Object - Objeto de la clase ClienteClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="isEscritura-DAO.EscrituraClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEscritura</h4>
<pre>public&nbsp;boolean&nbsp;isEscritura(<a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a>&nbsp;escritura)
                    throws java.sql.SQLException</pre>
<div class="block">Metodo que busca la existencia de una escritura</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>escritura</code> - Object - Objeto de la clase EscrituraClass</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="insertEscritura-DAO.EscrituraClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertEscritura</h4>
<pre>public&nbsp;void&nbsp;insertEscritura(<a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a>&nbsp;escritura)
                     throws java.sql.SQLException</pre>
<div class="block">Metodo que inserta una nueva escritura en su tabla correspondiente</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>escritura</code> - Object - Objeto de la clase EscrituraClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="getObjectEscritura-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectEscritura</h4>
<pre>public&nbsp;<a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a>&nbsp;getObjectEscritura(java.lang.String&nbsp;codigoEscritura)
                                  throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera un objeto de la clase EscrituraClass</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codigoEscritura</code> - String - Codigo de la escritura</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object - Objeto de la clase EscrituraClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="insertEscCli-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertEscCli</h4>
<pre>public&nbsp;void&nbsp;insertEscCli(java.lang.String&nbsp;codCliente,
                         java.lang.String&nbsp;codEscritura)
                  throws java.sql.SQLException</pre>
<div class="block">Metodo que inserta un nuevo registro en EscCli</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codCliente</code> - String - Codigo de cliente</dd>
<dd><code>codEscritura</code> - String - Codigo de Escritura</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="getEscliCodigoCliente-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEscliCodigoCliente</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEscliCodigoCliente(java.lang.String&nbsp;codEscritura)
                                       throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera el codigo de cliente asociado al codigo de escritura
 en la tabla esccli</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codEscritura</code> - String - Codigo de escritura</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - Codigo de cliente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="getArrayListCLientes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArrayListCLientes</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;getArrayListCLientes()
                                         throws java.sql.SQLException</pre>
<div class="block">Metodo que devuelve un arrayList de Objetosd de la clase ClientesClass</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArraList de objetos clientes</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="getArraySearchEscriturasByTipo-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getArraySearchEscriturasByTipo</h4>
<pre>public&nbsp;java.util.ArrayList&nbsp;getArraySearchEscriturasByTipo(java.lang.String&nbsp;tipoEscritura)
                                                   throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera un ArrayList con las escrituras con el tipo de
 escrito que se indique</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tipoEscritura</code> - String - Tipo de escritura</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList - array de objetos de la clase EscrituraClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BbClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../DAO/ClienteClass.html" title="class in DAO"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?DAO/BbClass.html" target="_top">Frames</a></li>
<li><a href="BbClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
